Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# gtk/window.hh File Reference

A GtkWindow C++ wrapper interface. More...

`#include <xfc/gtk/bin.hh>`
`#include <gtk/gtkwindow.h>`
`#include <xfc/gtk/inline/window.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Window
    A GtkWindow C++ wrapper class. More...
- class Xfc::Gtk::WindowGroup
    A GtkWindowGroup C++ wrapper class. More...

## Detailed Description

A GtkWindow C++ wrapper interface.

Provides Window, a top-level widget used to provide a communication interface bewteen your application and the window manager.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3